﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __SalesOrderDetail = LightSwitchApplication.SalesOrderDetail

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class SalesOrderDetail
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the SalesOrderDetail entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __SalesOrderDetail))
            MyBase.New(entitySet)
            
            __SalesOrderDetail.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SalesOrderDetail_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SalesOrderDetail_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __SalesOrderDetail.DetailsClass.GetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __SalesOrderDetail.DetailsClass.SetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __SalesOrderDetail.DetailsClass.GetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __SalesOrderDetail.DetailsClass.SetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Price As Decimal
            Get
                Return __SalesOrderDetail.DetailsClass.GetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.Price)
            End Get
            Set
                __SalesOrderDetail.DetailsClass.SetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.Price, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Price_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Price_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Price_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Quantity As Decimal
            Get
                Return __SalesOrderDetail.DetailsClass.GetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.Quantity)
            End Get
            Set
                __SalesOrderDetail.DetailsClass.SetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.Quantity, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Quantity_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Quantity_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Quantity_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property SubTotal As Decimal
            Get
                Return __SalesOrderDetail.DetailsClass.GetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.SubTotal)
            End Get
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SubTotal_Compute(ByRef result As Decimal)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SubTotal_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ProductName As String
            Get
                Return __SalesOrderDetail.DetailsClass.GetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.ProductName)
            End Get
            Set
                __SalesOrderDetail.DetailsClass.SetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.ProductName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ProductName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ProductName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ProductName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Product As Global.LightSwitchApplication.Product
            Get
                Return __SalesOrderDetail.DetailsClass.GetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.Product)
            End Get
            Set
                __SalesOrderDetail.DetailsClass.SetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.Product, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Product_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Product_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Product_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SalesOrderHeader As Global.LightSwitchApplication.SalesOrderHeader
            Get
                Return __SalesOrderDetail.DetailsClass.GetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.SalesOrderHeader)
            End Get
            Set
                __SalesOrderDetail.DetailsClass.SetValue(Me, __SalesOrderDetail.DetailsClass.PropertySetProperties.SalesOrderHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SalesOrderHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SalesOrderHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SalesOrderHeader_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __SalesOrderDetail, _
                __SalesOrderDetail.DetailsClass, _
                __SalesOrderDetail.DetailsClass.IImplementation, _
                __SalesOrderDetail.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __SalesOrderDetail.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __SalesOrderDetailEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass).Entry( _
                    AddressOf __SalesOrderDetail.DetailsClass.__SalesOrderDetail_CreateNew, _
                    AddressOf __SalesOrderDetail.DetailsClass.__SalesOrderDetail_Created, _
                    AddressOf __SalesOrderDetail.DetailsClass.__SalesOrderDetail_AllowSaveWithErrors)
            Private Shared Function __SalesOrderDetail_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __SalesOrderDetail)) As __SalesOrderDetail
                Return New __SalesOrderDetail(es)
            End Function
            Private Shared Sub __SalesOrderDetail_Created(e As __SalesOrderDetail)
                e.SalesOrderDetail_Created()
            End Sub
            Private Shared Function __SalesOrderDetail_AllowSaveWithErrors(e As __SalesOrderDetail) As Boolean
                Dim result As Boolean = False
                e.SalesOrderDetail_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __SalesOrderDetail.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SalesOrderDetail.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SalesOrderDetail.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property Price As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SalesOrderDetail.DetailsClass.PropertySetProperties.Price),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property Quantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SalesOrderDetail.DetailsClass.PropertySetProperties.Quantity),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property SubTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SalesOrderDetail.DetailsClass.PropertySetProperties.SubTotal),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property ProductName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SalesOrderDetail.DetailsClass.PropertySetProperties.ProductName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Product As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.Product)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SalesOrderDetail.DetailsClass.PropertySetProperties.Product),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.Product))
                    End Get
                End Property
                
                Public ReadOnly Property SalesOrderHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__SalesOrderDetail.DetailsClass.PropertySetProperties.SalesOrderHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property Price As Decimal
                Shadows Property Quantity As Decimal
                Shadows Property ProductName As String
                Shadows Property Product As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows Property SalesOrderHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SalesOrderDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Integer).Data), d As __SalesOrderDetail.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __SalesOrderDetail) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __SalesOrderDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __SalesOrderDetail.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __SalesOrderDetail.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __SalesOrderDetail)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SalesOrderDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Byte()).Data), d As __SalesOrderDetail.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __SalesOrderDetail) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __SalesOrderDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __SalesOrderDetail.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __SalesOrderDetail.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __SalesOrderDetail)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Price As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Entry( _
                        "Price", _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Price_Stub, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Price_ComputeIsReadOnly, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Price_Validate, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Price_GetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Price_SetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Price_OnValueChanged)
                Private Shared Sub _Price_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SalesOrderDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Data), d As __SalesOrderDetail.DetailsClass, sf As Object)
                    c(d, d._Price, sf)
                End Sub
                Private Shared Function _Price_ComputeIsReadOnly(e As __SalesOrderDetail) As Boolean
                    Dim result As Boolean = False
                    e.Price_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Price_Validate(e As __SalesOrderDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Price_Validate(r)
                End Sub
                Private Shared Function _Price_GetImplementationValue(d As __SalesOrderDetail.DetailsClass) As Decimal
                    Return d.ImplementationEntity.Price
                End Function
                Private Shared Sub _Price_SetImplementationValue(d As __SalesOrderDetail.DetailsClass, v As Decimal)
                    d.ImplementationEntity.Price = v
                End Sub
                Private Shared Sub _Price_OnValueChanged(e As __SalesOrderDetail)
                    e.Price_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Quantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Entry( _
                        "Quantity", _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Quantity_Stub, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Quantity_ComputeIsReadOnly, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Quantity_Validate, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Quantity_GetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Quantity_SetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Quantity_OnValueChanged)
                Private Shared Sub _Quantity_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SalesOrderDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Data), d As __SalesOrderDetail.DetailsClass, sf As Object)
                    c(d, d._Quantity, sf)
                End Sub
                Private Shared Function _Quantity_ComputeIsReadOnly(e As __SalesOrderDetail) As Boolean
                    Dim result As Boolean = False
                    e.Quantity_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Quantity_Validate(e As __SalesOrderDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Quantity_Validate(r)
                End Sub
                Private Shared Function _Quantity_GetImplementationValue(d As __SalesOrderDetail.DetailsClass) As Decimal
                    Return d.ImplementationEntity.Quantity
                End Function
                Private Shared Sub _Quantity_SetImplementationValue(d As __SalesOrderDetail.DetailsClass, v As Decimal)
                    d.ImplementationEntity.Quantity = v
                End Sub
                Private Shared Sub _Quantity_OnValueChanged(e As __SalesOrderDetail)
                    e.Quantity_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SubTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Entry( _
                        "SubTotal", _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SubTotal_Stub, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SubTotal_Validate, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SubTotal_ComputeValue)
                Private Shared Sub _SubTotal_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SalesOrderDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Data), d As __SalesOrderDetail.DetailsClass, sf As Object)
                    c(d, d._SubTotal, sf)
                End Sub
                Private Shared Sub _SubTotal_Validate(e As __SalesOrderDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SubTotal_Validate(r)
                End Sub
                Private Shared Function _SubTotal_ComputeValue(e As __SalesOrderDetail) As Decimal
                    Dim value As Decimal = Nothing
                    e.SubTotal_Compute(value)
                    Return value
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ProductName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, String).Entry( _
                        "ProductName", _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._ProductName_Stub, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._ProductName_ComputeIsReadOnly, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._ProductName_Validate, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._ProductName_GetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._ProductName_SetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._ProductName_OnValueChanged)
                Private Shared Sub _ProductName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SalesOrderDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, String).Data), d As __SalesOrderDetail.DetailsClass, sf As Object)
                    c(d, d._ProductName, sf)
                End Sub
                Private Shared Function _ProductName_ComputeIsReadOnly(e As __SalesOrderDetail) As Boolean
                    Dim result As Boolean = False
                    e.ProductName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ProductName_Validate(e As __SalesOrderDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ProductName_Validate(r)
                End Sub
                Private Shared Function _ProductName_GetImplementationValue(d As __SalesOrderDetail.DetailsClass) As String
                    Return d.ImplementationEntity.ProductName
                End Function
                Private Shared Sub _ProductName_SetImplementationValue(d As __SalesOrderDetail.DetailsClass, v As String)
                    d.ImplementationEntity.ProductName = v
                End Sub
                Private Shared Sub _ProductName_OnValueChanged(e As __SalesOrderDetail)
                    e.ProductName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Product As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.Product).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.Product).Entry( _
                        "Product", _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Product_Stub, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Product_ComputeIsReadOnly, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Product_Validate, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Product_GetCoreImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Product_GetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Product_SetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Product_Refresh, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._Product_OnValueChanged)
                Private Shared Sub _Product_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SalesOrderDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.Product).Data), d As __SalesOrderDetail.DetailsClass, sf As Object)
                    c(d, d._Product, sf)
                End Sub
                Private Shared Function _Product_ComputeIsReadOnly(e As __SalesOrderDetail) As Boolean
                    Dim result As Boolean = False
                    e.Product_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Product_Validate(e As __SalesOrderDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Product_Validate(r)
                End Sub
                Private Shared Function _Product_GetCoreImplementationValue(d as __SalesOrderDetail.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.Product
                End Function
                Private Shared Function _Product_GetImplementationValue(d as __SalesOrderDetail.DetailsClass) As Global.LightSwitchApplication.Product
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.Product, Global.LightSwitchApplication.Product.DetailsClass)(__SalesOrderDetail.DetailsClass.PropertySetProperties.Product, d._Product)
                End Function
                Private Shared Sub _Product_SetImplementationValue(d As __SalesOrderDetail.DetailsClass, v As Global.LightSwitchApplication.Product)
                    d.SetImplementationValue(__SalesOrderDetail.DetailsClass.PropertySetProperties.Product, d._Product, Sub(i, ev) i.Product = ev, v)
                End Sub
                Private Shared Sub _Product_Refresh(d As __SalesOrderDetail.DetailsClass)
                    d.RefreshNavigationProperty(__SalesOrderDetail.DetailsClass.PropertySetProperties.Product, d._Product)
                End Sub
                Private Shared Sub _Product_OnValueChanged(e As __SalesOrderDetail)
                    e.Product_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SalesOrderHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Entry( _
                        "SalesOrderHeader", _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SalesOrderHeader_Stub, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SalesOrderHeader_ComputeIsReadOnly, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SalesOrderHeader_Validate, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SalesOrderHeader_GetCoreImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SalesOrderHeader_GetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SalesOrderHeader_SetImplementationValue, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SalesOrderHeader_Refresh, _
                        AddressOf __SalesOrderDetail.DetailsClass.PropertySetProperties._SalesOrderHeader_OnValueChanged)
                Private Shared Sub _SalesOrderHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __SalesOrderDetail.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Data), d As __SalesOrderDetail.DetailsClass, sf As Object)
                    c(d, d._SalesOrderHeader, sf)
                End Sub
                Private Shared Function _SalesOrderHeader_ComputeIsReadOnly(e As __SalesOrderDetail) As Boolean
                    Dim result As Boolean = False
                    e.SalesOrderHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SalesOrderHeader_Validate(e As __SalesOrderDetail, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SalesOrderHeader_Validate(r)
                End Sub
                Private Shared Function _SalesOrderHeader_GetCoreImplementationValue(d as __SalesOrderDetail.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.SalesOrderHeader
                End Function
                Private Shared Function _SalesOrderHeader_GetImplementationValue(d as __SalesOrderDetail.DetailsClass) As Global.LightSwitchApplication.SalesOrderHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.SalesOrderHeader, Global.LightSwitchApplication.SalesOrderHeader.DetailsClass)(__SalesOrderDetail.DetailsClass.PropertySetProperties.SalesOrderHeader, d._SalesOrderHeader)
                End Function
                Private Shared Sub _SalesOrderHeader_SetImplementationValue(d As __SalesOrderDetail.DetailsClass, v As Global.LightSwitchApplication.SalesOrderHeader)
                    d.SetImplementationValue(__SalesOrderDetail.DetailsClass.PropertySetProperties.SalesOrderHeader, d._SalesOrderHeader, Sub(i, ev) i.SalesOrderHeader = ev, v)
                End Sub
                Private Shared Sub _SalesOrderHeader_Refresh(d As __SalesOrderDetail.DetailsClass)
                    d.RefreshNavigationProperty(__SalesOrderDetail.DetailsClass.PropertySetProperties.SalesOrderHeader, d._SalesOrderHeader)
                End Sub
                Private Shared Sub _SalesOrderHeader_OnValueChanged(e As __SalesOrderDetail)
                    e.SalesOrderHeader_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Price As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Quantity As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SubTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ProductName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Product As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.Product).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SalesOrderHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __SalesOrderDetail, __SalesOrderDetail.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
